<?php
if( !function_exists( 'gutenbiz_acb_custom_header_tradebiz' ) ):
	/**
	* Active callback function of header top bar
	*
	* @static
	* @access public
	* @return boolen
	* @since 1.0.0
	*
	* @package Gutenbiz WordPress theme
	*/
	function gutenbiz_acb_custom_header_tradebiz( $control ){
		$value = $control->manager->get_setting( Gutenbiz_Helper::with_prefix( 'container-width' ) )->value();
		return 'default' == $value;
	}
endif;

/**
* Register Advanced Options
*
* @return void
* @since 1.0.0
*
* @package Gutenbiz WordPress theme
*/
function tradebiz_advanced_options(){

	$fields = array(
		array(
			'id'	=> 'pre-loader',
			'label' => esc_html__( 'Show Preloader', 'tradebiz' ),
			'default' => false,
			'type'  => 'toggle',
		),
		array(
			'id'	=> 'tradebiz-sticky-header',
			'label' => esc_html__( 'Sticky header', 'tradebiz' ),
			'default' => false,
			'type'  => 'toggle',
		),
		array(
			'id'	=> 'enable-search',
			'label' => esc_html__( 'Search On Header', 'tradebiz' ),
			'default' => true,
			'type'  => 'toggle',
		),
		array(
			'id'      => 'enable-scroll-to-top',
			'label'   => esc_html__( 'Scroll To Top', 'tradebiz' ),
			'default' => true,
			'type'    => 'toggle'
		),
		array(
		    'id'      => 'assets-version',
		    'label'   => esc_html__( 'Assets Version', 'tradebiz' ),
		    'type'    => 'buttonset',
		    'default' => 'development',
		    'choices' => array(
		        'development' => esc_html__( 'Development', 'tradebiz' ),
		        'production'  => esc_html__( 'Production', 'tradebiz' ),
		    )
		),
		array(
		    'id'      =>  'container-width',
		    'label'   => esc_html__( 'Site Layout', 'tradebiz' ),
		    'type'    => 'buttonset',
		    'default' => 'default',
		    'choices' => array(
		        'default' => esc_html__( 'Default', 'tradebiz' ),
		        'box'	  => esc_html__( 'Boxed', 'tradebiz' ),
		    )
		),
	    array(
	        'id'          	  => 'container-custom-width',
	        'label'   	  	  => esc_html__( 'Container Width', 'tradebiz' ),
	        'active_callback' => 'acb_custom_header_tradebiz',
	        'type'        	  => 'range',
	        'default'     	  => '1140',
			'input_attrs' 	  =>  array(
	            'min'   => 400,
	            'max'   => 2000,
	            'step'  => 5,
	        ),
	    ),
	);

	$fields = apply_filters( 'tradebiz-advanced-options', $fields );
	
	Gutenbiz_Customizer::set(array(
		# Theme option
		'panel' => 'panel',
		# Theme Option > Header
		'section' => array(
		    'id'    => 'advance-options',
		    'title' => esc_html__( 'Advanced Options', 'tradebiz' ),
		),
		# Theme Option > Header > settings
		'fields' => $fields
	));
}
add_action( 'init', 'tradebiz_advanced_options' );